import { ElementRef } from "@angular/core";
import { Focus } from "../../utils/calculate-active-index";
import { BehaviorSubject } from "rxjs";
import { MenuItemDataRef } from "./menu-item.data-ref";
import { MenuStates } from "./menu-states.enum";
export declare class MenuComponent {
    elementRef: ElementRef;
    static: boolean;
    menuState: BehaviorSubject<MenuStates>;
    buttonRef: HTMLElement | null;
    itemsRef: HTMLElement | null;
    items: {
        id: string;
        dataRef: MenuItemDataRef;
    }[];
    searchQuery: string;
    activeItemIndex: number | null;
    constructor(elementRef: ElementRef);
    closeMenu(): void;
    openMenu(): void;
    isOpened(): boolean;
    goToItem(focus: Focus, id?: string): void;
    search(value: string): void;
    clearSearch(): void;
    registerItem(id: string, dataRef: MenuItemDataRef): void;
    unregisterItem(id: string): void;
    handler(event: MouseEvent): void;
}
