import { EventEmitter, OnInit, QueryList, ViewContainerRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
export declare class TransitionComponent implements OnInit {
    _children: QueryList<TransitionComponent>;
    _viewContainer: ViewContainerRef | any;
    /**
     * Whether to show or not the contents of ngx-transition
     */
    set show(value: boolean);
    get show(): boolean;
    _show: BehaviorSubject<boolean>;
    /**
     * Classes to be applied on the element when showing
     */
    enter: string;
    enterFrom: string;
    enterTo: string;
    /**
     * Classes to be applied on the element when leaving
     */
    leave: string;
    leaveFrom: string;
    leaveTo: string;
    beforeEnter: EventEmitter<any>;
    afterEnter: EventEmitter<any>;
    beforeLeave: EventEmitter<any>;
    afterLeave: EventEmitter<any>;
    closed: boolean;
    private _elementRef;
    private _init;
    constructor();
    get getDisplay(): string;
    ngOnInit(): void;
    private _updateView;
    private _getElement;
    private _transitionEnter;
    private _transitionLeave;
    private _useSplitClasses;
}
